<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/libsdio/libsdio_internal.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/libsdio/libsdio_internal.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * libsdio internal header.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2008 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef LIBSDIO_INTERNAL_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define LIBSDIO_INTERNAL_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="keyword">struct </span>cmd_queue_elem {
00013     <span class="keyword">struct </span>cmd_queue_elem *next;
00014     <a class="code" href="group__libsdio.html#ga2">sdio_io_callback_t</a> callback;
00015     <span class="keywordtype">void</span> *arg;
00016     <span class="keyword">struct </span>sdio_uif_cmd cmd;
00017     uint8_t write8_data;
00018 };
00019 
00020 <span class="keyword">struct </span>cmd_queue {
00021     <span class="keyword">struct </span>cmd_queue_elem *head;
00022     <span class="keyword">struct </span>cmd_queue_elem *tail;
00023     pthread_cond_t cond;
00024 };
00025 
00026 <span class="keyword">struct </span>sdio_uif {
00027     void (*int_handler)(<span class="keyword">struct </span>sdio_uif *, <span class="keywordtype">void</span> *);
00028     <span class="keywordtype">void</span> *arg;
00029     <span class="keywordtype">int</span> fd;
00030     pthread_t int_thread;
00031     pthread_mutex_t mutex;
00032     pthread_cond_t int_cond;
00033     <span class="keywordtype">int</span> int_masked;
00034 
00035     <span class="keyword">struct </span>cmd_queue cmd_queue;
00036     pthread_t async_thread;
00037 };
00038 
00039 <span class="keywordtype">int</span> async_thread_start(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00040 <span class="keywordtype">void</span> async_thread_stop(<a class="code" href="group__libsdio.html#ga0">sdio_uif_t</a> uif);
00041 
00042 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef LIBSDIO_INTERNAL_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
